> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wynncraft.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wynncraft.com/_mcp/server.

# List aspects for a class

GET https://api.wynncraft.com/v3/aspects/{tree}

This endpoint is cached for 1 hour in the SHARED cache source.   See [Caching](/welcome#caching).  This endpoint belongs to the SHARED rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits).

Ability and aspect responses use the [API Markup parser](/welcome#api-markup-parser).

Reference: https://docs.wynncraft.com/modules/ability-aspect/list-aspects

## Request

### Path parameters

- `tree` (enum, required)
  - Allowed values: `archer`, `warrior`, `assassin`, `mage`, `shaman`

## Response

### 200

Aspect list.

- `list of Aspect`

## Errors

### 400 Bad Request Error

Invalid class tree identifier.

- `error` (string, required)
- `detail` (string, required)
- `code` (integer, required)

## Types

### Aspect

- `name` (string, required)
- `internalName` (string, required)
- `icon` (AbilityIcon, required)
- `rarity` (string, required)
- `requiredClass` (string, required)
- `tiers` (map from string to AspectTier, required)

### AbilityIcon

- `value` (AbilityIconValue, required)
- `format` (string, required)
- `name` (string, optional)

### AspectTier

- `threshold` (integer, required)
- `description` (list of string, required)

### AbilityIconValue

- `id` (string, required)
- `name` (string, required)
- `customModelData` (AbilityIconValueCustomModelData, required)

### AbilityIconValueCustomModelData

- `rangeDispatch` (list of integer, required)

## Examples

**Response**

```json
[
  {
    "name": "Example Aspect",
    "internalName": "example_internal_name",
    "icon": {
      "value": {
        "id": "minecraft:example_item",
        "name": "abilityTree.exampleAspect",
        "customModelData": {
          "rangeDispatch": [
            100
          ]
        }
      },
      "format": "attribute"
    },
    "rarity": "example_rarity",
    "requiredClass": "example_class",
    "tiers": {
      "1": {
        "threshold": 1,
        "description": [
          "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier one.</span>"
        ]
      },
      "2": {
        "threshold": 5,
        "description": [
          "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier two.</span>"
        ]
      },
      "3": {
        "threshold": 30,
        "description": [
          "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier three.</span>"
        ]
      },
      "4": {
        "threshold": 150,
        "description": [
          "<span class='font-ascii' style='color:#AAAAAA'>Example description for tier four.</span>"
        ]
      }
    }
  }
]
```

**SDK Code**

```python Aspect list
import requests

url = "https://api.wynncraft.com/v3/aspects/archer"

response = requests.get(url)

print(response.json())
```

```javascript Aspect list
const url = 'https://api.wynncraft.com/v3/aspects/archer';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Aspect list
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wynncraft.com/v3/aspects/archer"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Aspect list
require 'uri'
require 'net/http'

url = URI("https://api.wynncraft.com/v3/aspects/archer")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Aspect list
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wynncraft.com/v3/aspects/archer")
  .asString();
```

```php Aspect list
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wynncraft.com/v3/aspects/archer');

echo $response->getBody();
```

```csharp Aspect list
using RestSharp;

var client = new RestClient("https://api.wynncraft.com/v3/aspects/archer");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Aspect list
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wynncraft.com/v3/aspects/archer")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```